using System;
using System.Collections.Generic;
using Hitsuji.Framework.DataClient.Model;
using PostCardHitsuji.DataClient.DAO;

namespace PostCardHitsuji.DataClient.Model
{
    public class LayoutIllustContentModel : BaseContentModel, IDaoContentModel
    {
        private string layoutId_;
        private string multiple_ = "10";

        private Dictionary<string, object> SizeItems_;
        public Dictionary<string, object> SizeItems
        {
            get { return SizeItems_; }
        }

        public LayoutIllustContentModel()
        {
            SizeItems_ = new Dictionary<string, object>();
            SizeItems_.Add("1", "x0.1");
            SizeItems_.Add("5", "x0.5");
            SizeItems_.Add("10", "x1");
            SizeItems_.Add("15", "x1.5");
            SizeItems_.Add("20", "x2");

        }

        #region prim

        public string size
        {
            get { return multiple_; }
            set { multiple_ = value; }
        }

        #endregion //prim

        protected override void onBasePropertyChanged(string propertyName, object oldValue, object newValue)
        {
            //throw new NotImplementedException();
        }

        public override List<AbsoluteDataResult> IsAbsoluteData()
        {
            throw new NotImplementedException();
        }

        public override IContentModel DeepCopy()
        {
            LayoutIllustContentModel model = new LayoutIllustContentModel();
            model.Id = this.Id;
            model.Enable = this.Enable;

            return model;
        }
    }
}
